Subject: RE: [PATCH v8 1/3] serial: samsung: Replace rd_regb/wr_regb with rd_reg/wr_reg

From: "Hyunki Koo" <[email-masked]>
Date: Wed, 6 May 2020 16:18:28 +0900

On Tuesday, May 5, 2020 at 2020 03:31:00 PM +0900, Greg Kroah-Hartman
> On Wed, May 06, 2020 at 08:30:46AM +0900, Hyunki Koo wrote:
> > On Tuesday, May 5, 2020 at 2020 11:23:00 PM +0900, Greg Kroah-Hartman
> Hartman wrote:
> > > On Mon, Apr 20, 2020 at 10:32:56AM +0900, Hyunki Koo wrote:
> > > > This patch change the name of macro for general usage.
> > > >
> > > > Signed-off-by: Hyunki Koo <[email-masked]>
> > >
> > > This patch series creates the following build error, which is not
> > > allowed:
> > >
> > >   CC [M]  drivers/tty/serial/samsung_tty.o
> > > drivers/tty/serial/samsung_tty.c:186:13: warning: ‘wr_reg_barrier’
> > > defined but not used [-Wunused-function]
> > >   186 | static void wr_reg_barrier(struct uart_port *port, u32 reg, u32
> val)
> > >       |             ^~~~~~~~~~~~~~
> > >
> > > Please fix up and resend.  Always make sure you keep the reviewed-by
> > > tags from others as well.
> > >
> > > greg k-h
> >
> > I tested on latest kernel today one more time, there is no error and
> warning on my side, not only patch 1/3 and patch 3/3
> > Line 1735:   CC      drivers/tty/serial/samsung_tty.o
> > Line 343:   CC      drivers/tty/serial/samsung_tty.o
> >
> > wr_reg_barrier is not defined in patch 1/3, and wr_reg_barrier is
> > define and used in patch3/3 it might be no warning.
> 
> After I apply this series, I got the above build warning on my normal
> x86 system, so I can not take the patches.  Please fix up and resend.
> 
> greg k-h

I'm so sorry, 
There is an warning if CONFIG_SERIAL_SAMSUNG_CONSOLE  is not enabled.
I've fix the patch and resend
Thank you in advance.

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel